package client

import (
	"net/http"

	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/web"
	kit "shylinux.com/x/toolkits"
)

type chat struct {
	client  client
	request string `name:"request model* role* content* which*"`
	list    string `name:"list list" help:"大模型对话" icon:"src/main.png"`
}

func (s chat) Request(m *ice.Message, arg ...string) {
	m.Cmdy(web.SPIDE, OLLAMA, web.SPIDE_STREAM, http.MethodPost, "/api/chat", web.SPIDE_DATA, kit.Format(kit.Dict(
		m.OptionSimple("model"), "stream", true, "messages", kit.List(kit.Dict(m.OptionSimple("role", "content"))),
	)))
}
func (s chat) List(m *ice.Message, arg ...string) {
	m.Cmdy(s.client).Display("").DisplayCSS("")
}

func init() { ice.ChatModCmd(chat{}) }
